### Method

# GimpUi Preview transform

since: 2.4

#### Declaration [src]

    void
    gimp_preview_transform (
      GimpPreview* preview,
      gint src_x,
      gint src_y,
      gint* dest_x,
      gint* dest_y
    )

#### Description [src]

Transforms from image to widget coordinates.

Available since: 2.4

#### Parameters

`src_x`

  Type: `gint`

  Horizontal position on the previewed image.

`src_y`

  Type: `gint`

  Vertical position on the previewed image.

`dest_x`

  Type: `gint*`

  Returns the transformed horizontal position.

  The argument will be set by the function.

`dest_y`

  Type: `gint*`

  Returns the transformed vertical position.

  The argument will be set by the function.